WESNOTH(6)

NOME
wesnoth - Battle for Wesnoth, un gioco strategico a turni con ambientazione fantasy

SYNOPSIS
wesnoth [OPTIONS] [PATH_TO_DATA]

DESCRIZIONE
Battle for Wesnoth è un gioco strategico a turni con ambientazione fantasy. Sconfiggi tutti i condottieri nemici usando un'oculata scelta di unità di combattimento, avendo cura di gestire le tue risorse di oro e villaggi. Ogni unità ha punti di forza e debolezze: per vincere, schiera le tue forze nel modo più vantaggioso impedendo al nemico di fare altrettanto. Le unità, con l'esperienza, acquistano nuove abilità e diventano più potenti. Gioca nella tua lingua e metti alla prova le tue capacità contro un abile nemico controllato dal computer, o unisciti alla numerosa comunità di giocatori on-line.Crea le tue unità personalizzate, scenari o campagne, e condividile con gli altri.

OPZIONI

--bpp numero
    imposta il numero di bit per pixel. Esempio: --bpp 32

-c, --campaign  [<id_campagna>]
    salta direttamente alla campagna con identificatore <id_campagna>. Se non si specifica un identificatore, comparirà un menù dal quale sarà possibile selezionare una campagna. Nota: Quando si usa questo switch, verifica attentamente di aver messo come ultimo parametro la directory dei dati, altrimenti il gioco scambierà l'identificatore della campagna/scenario per la directory.

--campaign-difficulty <difficoltà>
    La difficoltà di una specifica campagna (da 1 a max). Se non specificato, comparirà il widget per la selezione della difficoltà.

--campaign-scenario <id_scenario>
    L’identificatore dello scenario della campagna specificata. Il default è il primo scenario.

--config-dir nome
    imposta la directory di configurazione dell'utente a nome sotto $HOME o "My Documents\My Games" per Windows. Puoi anche specificare un percorso assoluto per la directory di configurazione al di fuori di $HOME o "My Documents\My Games"

--config-path
    stampa il percorso della cartella di configurazione ed esce.

--data-dir <directory>
    sostituisce la directory dei dati con quella specificata

-d, --debug
    abilita le opzioni aggiuntive di controllo all'interno del gioco (vedi il wiki presso http://www.wesnoth.org/wiki/CommandMode per maggiori informazioni sulla shell di comando).

-e, --editor file
    avvia il gioco direttamente dall'editor per le partite. Se file è specificato, equivale a -l --load

--fps
    mostra, in un angolo dello schermo, il numero di quadri per secondo che il gioco sta generando attualmente.

-f, --fullscreen
    esegue il gioco a tutto schermo.

--gunzip infile.gz
    decomprime un file che dev'essere in formato gzip e lo memorizza senza suffisso .gz. Il file infile.gz sarà rimosso.

--gzip infile
    comprime un file in formato gzip, lo memorizza come infile.gz e rimuove infile.

-h, --help
    mostra un riepilogo delle opzioni tramite riga di comando verso un output standard ed esce.

-l, --load file
    carica il salvataggio file dalla directory standard dei salvataggi. Se usato insime alle optioni -e o --editor, lancia l’editor con aperta la mappa del file. Se è una directory, l'editor lancerà una finestra di dialogo con un elenco di mappe caricabili.

--log-livello=dominio1,dominio2,...
    imposta il livello di severità dei domini di debug. Puoi usare all per selezionare tutti i domini di debug. Livelli disponibili: error, warning, info, debug. Normalmente è usato il livello error.

--logdomains [filtro]
    fornisce un elenco dei log domains definiti ( soltanto quelli contenenti filter, se usata) e termina.

--max-fps
    il numero di quadri al secondo che il gioco può mostrare, il valore dovrebbe essere compreso tra 1 e 1000; il valore predefinito è 50.

-m, --multiplayer
    esegue una partita multigiocatore. Ci sono opzioni aggiuntive che possono essere usate con --mutiplayer, come spiegato di seguito. Solo queste opzioni aggiuntive possono seguire --multiplayer.

--no-delay
    esegue il gioco senza ritardi per stabilire le prestazioni del sistema. Questa opzione è abilitata automaticamente da --nogui.

--nocache
    disabilita la cache dei dati di gioco.

--nomusic
    esegue il gioco senza musica.

--nosound
    esegue il gioco senza suono e musica.

--path
    stampa il nome della cartella contenente i dati del gioco ed esce.

--preprocess, -p[=<define1>,<define2>,...] <file/cartella> <directory destinazione>
    pre-processa uno specificato file/cartella. Il/I file saranno riscritti nella directory destinazione specificata: un file cfg piatto e un file cfg processato. Se viene specificata una cartella, sarà pre-processata ricorsivamente in base alle regole di pre-processing note. Le macro comuni per data/core/macros salanno pre-processate prima delle risorse specificate. define1,define2,... - gli attributi di definizione addizionali verranno aggiunto prima di pre-processare il file. Se vuoi aggiungerli devono essere preceduti dal carattere «=». Se «SKIP_CORE» è definito nella lista, data/core non saranno pre-processati. Esempio: -p ~/wesnoth/data/campaigns/tutorial ~/result o -p=MULTIPLAYER,MIA_CAMPAGNA ~/wesnoth/data/campaign/camp ~/result

--preprocess-input-macros <file sorgente>
    usato soltanto dal comando “-preprocess”. Specifica il file che contiene i [preproc_define] che devono essere inclusi prima del preprocessing.

--preprocess-output-macros [<file destinazione>]
    usato soltanto dal comando “-preprocess”. Stamperà tutte le macro preprocessate nel file destinazione. Se il file non viene specificato verrà utilizzato il file “_MACROS.cfg” nella directory destinazione del comando di preprocess. Questo parametro deve essere immesso prima del comando -preprocess.

-r XxY, --resolution XxY
    imposta la risoluzione dello schermo. Esempio: -r 800x600

-s, --server [host]
    si connette al server specificato se fornito, se no si connette al primo server delle preferenze. Esempio: --server server.wesnoth.org

--strict-validation
    errori di validazione sono trattati come errori fatali.

-t, --test
    esegue il gioco con un piccolo scenario di test.

--validcache
    assume che la cache sia valida (pericoloso).

-v, --version
    mostra il numero di versione ed esce.

-w, --windowed
    esegue il gioco in una finestra.

--with-replay
    esegue il replay della partita caricata con l'opzione --load.

opzioni per --multiplayer
Le opzioni multigiocatore specifiche delle fazioni sono indicate da numero. numero deve essere sostituito dal numero della fazione. Normalmente è 1 o 2 ma dipende dal numero di giocatori possibili nello scenario scelto.

--ai_confignumber=value
    seleziona un file di configurazione da caricare per il controllo dell'IA di questa fazione.

--algorithmnumero=valore
    seleziona un algoritmo non standard per il controllo dell'IA di questa fazione. Valori disponibili: idle_ai e sample_ai.

--controllernumero=valore
    seleziona il tipo di controllo per questa fazione. Valori disponibili: human e ai.

--era=valore
    usa questa opzione per giocare nell'era selezionata invece che in quella Default. L'era è scelta per ID. Le ere sono descritte nel file data/multiplayer.cfg.

--exit-at-end
    esce quando lo scenario è finito, senza mostrare la finestra delle vittorie/sconfitte, che richiede che l'utente prema il pulsante OK. Anche questa opzione è usata per eseguire dei benchmark con script.

--nogui
    esegue il gioco senza GUI. Deve apparire prima di --multiplayer per avere l'effetto desiderato.

--parmnumero=nome:valore
    imposta parametri aggiuntivi per questa fazione. Questo parametro dipende dalle opzioni usate con --controller e --algorithm. Dovrebbe essere utile solo per chi sta programmando la propria IA. (non ancora documentata completamente)

--scenario=valore
    seleziona uno scenario multigiocatore. lo scenario predefinito è multiplayer_The_Freelands.

--sidenumero=valore
    seleziona una fazione dell'era attuale per questa squadra. La fazione è scelta per ID. Le fazioni sono descritte nel file data/multiplayer.cfg.

--turns=valore
    imposta il numero di turni per lo scenario scelto. L'impostazione standard è 50.

STATO DI USCITA
Il nosrmale stato di uscita è 0. Uno stato di uscita pari a 1 indica un errore di inizializzazione (SDL, video, fonts, etc.). Uno stato di uscita pari a 2 indica un errore con le opzioni della linea di comando.

AUTORE
Scritto da David White <davidnwhite@verizon.net>.
Edito da Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> e Soliton <soliton.de@gmail.com>.
Questa pagina di manuale è stata scritta in origine da Cyril Bouthors <cyril@bouthors.org>.
Visita la pagina home ufficiale: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2013 David White <davidnwhite@verizon.net>
Questo gioco è rilasciato come Software Libero; viene rilasciato secondo i termini della licenza GPL versione 2 come pubblicata dalla Free Software Foundation. Non è fornita nessuna garanzia, né per la COMMERCIALIZZAZIONE né per l'ADEGUATEZZA AD UNO SCOPO PARTICOLARE.

SEE ALSO
wesnothd(6).